Bug 277291 - gkrellm-freq: License: GPL+, build for EL-5?
gkrellm-freq: License: GPL+, build for EL-5?
Product: Fedora
Classification: Fedora
Component: gkrellm-freq (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-04 16:07 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-24 08:19:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-09-04 16:07:52 EDT
gkrellm-freq's specfile has "License: GPLv2", but actually I think it should be
"License: GPL+" because I don't find anything saying specifically GPLv2, and the
GPL text itself says that if no version is specified, any GPL version goes.
http://fedoraproject.org/wiki/Licensing agrees.

Additionally, I'm just about to build gkrellm 2.3.0 for EL-5 in EPEL (no plans
for EL-4), so this package could be built for it as well shortly.
Comment 1 Matthias Saou 2007-09-12 06:54:38 EDT
You're right. I had misunderstood, and thought that if no specific GPL version
was mentioned and the GPLv2 text was included, then the files would be GPLv2
only. I'll need to fix this in a few other packages too...

I'll go ahead and change it for gkrellm-freq and rebuild an EL-5 package.
Comment 2 Matthias Saou 2007-09-24 08:19:33 EDT
The package finally rebuilt for EL-5, yay!

Note You need to log in before you can comment on or make changes to this bug.